/*
 *  file:     ideeprom.h
 *  revision: 3.6
 *  date:     11/05/04
 *  author:   SP
 * ----------------------------------------------------------------------
 *
 * Definitions for modideep.c
 *
 * ----------------------------------------------------------------------
 * Copyright 1999 by AcQuisition Technology B.V. (c)
 * All Rights Reserved
 * Reproduced Under License
 *
 * This source code is the proprietary confidential property of
 * AcQuisition Technology B.V., and is provided to the licensee
 * for documentation and educational purposes only.  Reproduction,
 * publication, or any form of distribution to any party other than
 * the licensee is strictly prohibited.
 * ----------------------------------------------------------------------
 * Edition History
 *
 * #   date      Comments                                        by
 * --  --------  ----------------------------------------------  ---
 * 0.0 17-01-91  birth                                           MS
 * 3.3 20-03-98  BCC compiler warnings eliminated                SP
 * 3.4 27-07-99  Ported to modideep.c                            SP
 * 3.5 26-06-02  store_modid() added                             SP
 * 3.6 11-05-04  Macro's EEPSZ, EEPSZ_93C46 and EEPSZ_93C06
 *               added                                           SP
 */
#ifndef __INCideepromh
#define __INCideepromh

#define IDSYNC          0x5346  /* identification "sync" code */
#define EEPSZ_93C46     64      /* Number of elements in 93C46 device */
#define EEPSZ_93C06     16      /* Number of elements in 93C06 device */

#ifndef EEPSZ
#define EEPSZ   EEPSZ_93C06
#endif

typedef union
{
    struct
    {
        short   synccode,   /* Sync code (0x5346) */
                modnum,     /* Module number (binary coded) */
                revision,   /* revision number [MSB/LSB] [main/dec] */
                modchar,    /* Module characteristics */
                res[4];     /* 0x0000 reserved */
        char    manstr[16]; /* manufacturer string */
    }id;
    short       reg[EEPSZ]; /* EEPROM registers */
} IDCODE;

extern int get_modid (APIS_HANDLE, void *);     /* Get EEPROM contents */
extern int store_modid (APIS_HANDLE, void *);   /* Write to EEPROM */

#endif /*  __INCideepromh  */
